%define	name	rmxmms
%define	version	0.4
%define	release	1
%define	prefix	/usr

Summary:	rmxmms - RealAudio Input plugin for XMMS.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://www.xmms.org
Vendor:		Jozef Hatala <jhatala@usa.net>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	xmms >= 1.2.4, RealPlayer >= 7.0
BuildPrereq:	xmms-devel

%description
rmxmms - RealAudio Input plugin for XMMS.

%prep
%setup -q
export CFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

%build
make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib/xmms
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{prefix}/lib/xmms/Input/libreal.*
%{prefix}/share/xmms/rmxmms/librealshare.*


%changelog
* Fri May 11 2001 Ryan Weaver <ryanw@falsehope.com>
  [rmxmms-0.4.-1]
- Initial RPM Build.

